Install TheMindCrafters.com - Icehenge

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (TheMindCrafters.com - Icehenge) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select TheMindCrafters.com - Icehenge from the list on the left. The launcher will handle everything else!

TheMindCrafters.com - Icehenge Version 2.2.1

created by themindcrafters on Minecraft Version 1.6.4 using Technic Solder
You must be logged in to comment. Click here to register a new account or log in.
Is witchery going to be updated?
Tommyjaz 4 years ago
Ah a note about your Sphax download - It appears to contain the original Sphax textures. Isn't that not allowed? I'm pretty sure they have a copyright on it. D: Just trying to keep you guys out of trouble. :)
ReignOfFROZE 4 years ago
When i try and load the modpack is crashes any help there is no crash report
797gogeta 4 years ago
will there ever be a server?
brinestone 4 years ago
http://forums.themindcrafters.com/viewtopic.php?f=44&t=201&p=394&hilit=official+server&sid=8f56dff5686d2a26e4c2f91d23200187#p394
Posted by Skyburz 4 years ago
will there ever be a server?
brinestone 4 years ago
OptiFine isnt compatible with Icehenge, right?
Skyburz 4 years ago
I go into my technic launcher and enter the link to download the pack and it says something about the api link being broken, any fixes?
gameace 4 years ago
the link is ok, i've downloaded it right now
Posted by Skyburz 4 years ago
I have the same problem and I cant figure it out. I think it has something to do with treecapitator but I cant even begin to think what the problem might be
Dominicsy 4 years ago
ha ha uh... funny thing took 30 seconds and found out I needed to give the launcher more ram. at least 2 gigs
Posted by Dominicsy 4 years ago
When I try to load the pack it gets stuck at 70% Can you help me out?
creekid0106 4 years ago

Latest Update

Quick version update - 2.2.1 adds LegacyJavaFixer for people running Java 8. There will be NO change to your world/saves or anything and there is NO update needed for servers - thanks!